#
%define		srcname thunar-archive-plugin
#
Summary:	Archive plugin for the Thunar file manager
Summary(pl.UTF-8):	Wtyczka archiwum dla zarządcy plików Thunar
Name:		Thunar-archive-plugin
Version:	0.3.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/thunar-plugins/thunar-archive-plugin/0.3/%{srcname}-%{version}.tar.bz2
# Source0-md5:	425f4faaace6dc7a4716a35b7795463a
URL:		http://foo-projects.org/~benny/projects/thunar-archive-plugin/
BuildRequires:	Thunar-devel >= 1.6.6
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= 4.12.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.12.0
Requires:	Thunar >= 1.6.6
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows to create and extract archive files using the file
context menus in the Thunar file manager. It provides a generic
scripting interface for archive managers.

%description -l pl.UTF-8
Ta wtyczka umożliwia tworzenie i rozpakowywanie archiwów używając menu
podręcznego pliku w zarządcy plików Thunar. Dostarcza ogólny interfejs
dla zarządców archiwów.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/thunarx-2/*.la

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{srcname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{srcname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS scripts/template.tap
%attr(755,root,root) %{_libdir}/thunarx-2/thunar-archive-plugin.so
%dir %{_libdir}/thunar-archive-plugin
%attr(755,root,root) %{_libdir}/thunar-archive-plugin/*.tap
%{_iconsdir}/hicolor/*/*/*
%changelog
* Tue Mar 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Thunar-archive-plugin.git;a=log;h=master

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 4135db5
- up to 0.3.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 8bd169c
- x32 rebuild
- release 3 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 4ffb0aa
- release 2

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> a6f0904
- comment

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 16cf6f8
- updated to 0.3.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 2275dac
- Requires(post,postun): gtk-update-icon-cache

* Mon Mar 02 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 51b4373
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 292cbc8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 71fe529
- converted to UTF-8

* Tue Jan 23 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 497c291
- up to 0.2.4

* Sat Nov 04 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 2d873bf
- updated to 0.2.2
- added %doc

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 0299fbd
- unified pl

* Sat Sep 16 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 0897077
- new, thanks to Piotr Grymkowski

